OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Private Attributes
ICUParagraphLayout::ICUVisualRun Class Reference

Visual run contains data about the bit of text with the same font. More...

Inheritance diagram for ICUParagraphLayout::ICUVisualRun:

## Public Member Functions
| ICUVisualRun (const ParagraphLayout::VisualRun *vr)
const Font * | GetFont () const
int | GetGlyphCount () const
const GlyphID * | GetGlyphs () const
const float * | GetPositions () const
int | GetLeading () const
const int * | GetGlyphToCharMap () const

## Private Attributes
const ParagraphLayout::VisualRun * | vr
| The actual ICU vr.

## Detailed Description

Visual run contains data about the bit of text with the same font.

Definition at line 137 of file gfx_layout.cpp.

The documentation for this class was generated from the following file:

- src/gfx_layout.cpp